`POST /api/v1/terminal/{node_id}` — open a terminal session.
POST
/api/v1/terminal/{node_id}
const url = 'https://example.com/api/v1/terminal/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/terminal/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” node_id
required
string
Agent node ID
Query Parameters
Section titled “Query Parameters ” cols
integer format: int32
Terminal width in columns.
rows
integer format: int32
Terminal height in rows.
shell
string
Shell binary path (optional).
Responses
Section titled “ Responses ”Terminal session opened
Media type application/json
Response body for POST /api/v1/terminal/{node_id}.
object
session_id
required
string
ws_url
required
string
Example generated
{ "session_id": "example", "ws_url": "example"}Agent is not connected
Agent does not have remote terminal enabled
Timed out waiting for the agent